﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.Win.C1Ribbon;
using WindowsFormsApplication1.Models;
using C1.Win.C1Chart;
using System.Collections;

namespace WindowsFormsApplication1
{
    public partial class Form2 : C1RibbonForm
    {
        private SalesDataList _salesDataList = null;
        public SalesDataList SalesDataList
        {
            get { return this._salesDataList; }
            set { this._salesDataList = value; }
        }

        public Form2()
        {
            InitializeComponent();
        }

        private void Form2_Load(object sender, EventArgs e)
        {
            this.initializeChartType();
            this.ribbonComboBox1.SelectedIndex = 0;
            this.ribbonComboBox2.SelectedIndex = 0;
        }

        private void ribbonButton1_Click(object sender, EventArgs e)
        {
            this.c1Chart1.PrintChart();
        }

        private void setDataSource(string categoryCode)
        {
            this.bindingSource1.DataSource = this._salesDataList.SelectCategory(categoryCode);
        }

        public List<DictionaryEntry> Category
        {
            get { return this.category; }
            set
            {
                this.category = value;
                this.initializeCategory();
            }
        }

        private void initializeCategory()
        {
            this.ribbonComboBox1.Items.Clear();

            foreach (DictionaryEntry entry in this.category)
            {
                this.ribbonComboBox1.Items.Add( entry.Value.ToString() );
            }
        }

        private void initializeChartType()
        {
            this.ribbonComboBox2.Items.Clear();
            this.ribbonComboBox2.Items.Add("Line Chart");
            this.ribbonComboBox2.Items.Add("Bar Graph");
        }

        private List<DictionaryEntry> category;

        private void ribbonComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            foreach (DictionaryEntry entry in this.category)
            {
                if (this.ribbonComboBox1.Text == entry.Value.ToString())
                {
                    this.setDataSource(entry.Key.ToString());
                    return;
                }
            }
        }

        private void ribbonComboBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (this.ribbonComboBox2.SelectedIndex == 0)
                this.c1Chart1.ChartGroups[0].ChartType = Chart2DTypeEnum.XYPlot;
            else
                this.c1Chart1.ChartGroups[0].ChartType = Chart2DTypeEnum.Bar;
        }

        private void ribbonButton1_Click_1(object sender, EventArgs e)
        {
            this.c1Chart1.PrintChart();
        }

        private void ribbonCheckBox1_CheckedChanged(object sender, EventArgs e)
        {
            this.c1Chart1.ChartGroups[0].Use3D = ribbonCheckBox1.Checked;
        }

        private void ribbonCheckBox2_CheckedChanged(object sender, EventArgs e)
        {
            this.c1Chart1.ChartGroups[0].Stacked = ribbonCheckBox2.Checked;
        }

        private void ribbonCheckBox3_CheckedChanged(object sender, EventArgs e)
        {
            this.c1Chart1.ChartArea.Inverted = ribbonCheckBox3.Checked;
        }
    }
}
